# HG changeset patch
# User Mike Hommey <mh+mozilla@glandium.org>
# Date 1303461188 -7200
# Node ID 59771590e9203d48ef8cbcd7eaf2f8ae45dbb1c1
# Parent  c4b82ec27d6d6e1c02ef0abb3b6e805bfdd092ec
Bug 638056 - Avoid "The cacheFlush support is missing on this platform" error on exotic platforms. r=cdleary

diff --git a/js/src/Makefile.in b/js/src/Makefile.in
--- a/js/src/Makefile.in
+++ b/js/src/Makefile.in
@@ -383,17 +383,17 @@ CPPSRCS += 	checks.cc \
 		platform.cc \
 		utils.cc \
 		$(NONE)
 
 #
 # END enclude sources for V8 dtoa
 #############################################
 
-ifeq (,$(filter-out powerpc sparc,$(TARGET_CPU)))
+ifeq (,$(filter arm% %86 x86_64,$(TARGET_CPU)))
 
 VPATH +=	$(srcdir)/assembler \
 		$(srcdir)/assembler/wtf \
 		$(srcdir)/yarr/pcre \
 		$(NULL)
 
 CPPSRCS += 	pcre_compile.cpp \
                 pcre_exec.cpp \

# HG changeset patch
# User Luke Wagner <lw@mozilla.com>
# Date 1299520258 28800
# Node ID 68203913d04cf5be53fd16278816183d5670ba5c
# Parent  27e5814815491ebb68e474e453aff6c2ea908c43
Bug 618485 - Add missing 64-bit big-endian jsval_layout field (r=luke)

diff --git a/js/src/jsval.h b/js/src/jsval.h
--- a/js/src/jsval.h
+++ b/js/src/jsval.h
@@ -342,16 +342,17 @@ typedef union jsval_layout
         JSValueTag         tag : 17;
         uint64             payload47 : 47;
     } debugView;
     struct {
         union {
             int32          i32;
             uint32         u32;
             JSWhyMagic     why;
+            jsuword        word;
         } payload;
     } s;
     double asDouble;
     void *asPtr;
 } jsval_layout;
 # endif /* JS_BITS_PER_WORD */
 #endif  /* defined(IS_LITTLE_ENDIAN) */
 



